Delete File
curl --request DELETE \
--url https://api.app.shinzo.ai/v1/agent/{agentId}/filesystem/files/{path} \
--header 'Authorization: Bearer <token>'Agent Filesystem
Delete File
Delete a file from an agent’s workspace.
DELETE
/
v1
/
agent
/
{agentId}
/
filesystem
/
files
/
{path}
Delete File
curl --request DELETE \
--url https://api.app.shinzo.ai/v1/agent/{agentId}/filesystem/files/{path} \
--header 'Authorization: Bearer <token>'Authentication
Requires JWT token or Platform API key.string
required
Agent UUID
string
required
File path within the agent workspace (wildcard segment)
Example Request
curl -X DELETE "https://api.app.shinzo.ai/v1/agent/agt_abc123/filesystem/files/workspace/data/output.txt" \
-H "Authorization: Bearer <jwt_token>"
Response
{
"message": "File deleted successfully"
}
Status Codes
| Code | Description |
|---|---|
200 | File deleted successfully |
401 | Invalid authentication |
403 | Access denied |
404 | Agent or file not found |

